﻿using System.Collections.ObjectModel;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using ThinkGeo.MapSuite.Core;
using System;

namespace GraphicLogoAdornmentWeb
{
    class GraphicLogoAdornmentLayer: AdornmentLayer
    {
        String copyright;
        
        public GraphicLogoAdornmentLayer()
            : base()
        {
            Location = AdornmentLocation.LowerRight;
        }

        public string Copyright 
        {
            get { return copyright; }
            set { copyright = value; }
        }

        protected override void DrawCore(GeoCanvas canvas, Collection<SimpleCandidate> labelsInAllLayers)
        {
            if (IsVisible)
            {
                ScreenPointF screenPointF = GetDrawingLocation(canvas, 70, 20);
                                
                if (canvas is GdiPlusGeoCanvas)
                {
                    GdiPlusGeoCanvas gdiPlusGeoCanvas = canvas as GdiPlusGeoCanvas;
                    gdiPlusGeoCanvas.DrawTextWithScreenCoordinate(copyright, new GeoFont("Arial", 10, DrawingFontStyles.Regular), new GeoSolidBrush(GeoColor.StandardColors.Black), screenPointF.X, screenPointF.Y, DrawingLevel.LevelOne);
                }
                else
                {
                    canvas.DrawTextWithScreenCoordinate(copyright, new GeoFont("Arial", 10, DrawingFontStyles.Regular), new GeoSolidBrush(GeoColor.StandardColors.Black), screenPointF.X, screenPointF.Y, DrawingLevel.LevelOne);
                }
            }
        }
    }
}