﻿using System;
using System.Configuration;
using System.Drawing;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace GraphicLogoAdornmentWeb
{
    public partial class TestForm : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-136,52,-30,2);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                Map1.MapTools.OverlaySwitcher.Enabled = true;
                Map1.MapTools.Logo.Enabled = false;

                //LayerOverlay for geographic layers such as countries.
                LayerOverlay layerOverlay = new LayerOverlay("WorldOverlay", false, TileType.SingleTile);
                layerOverlay.TransitionEffect = TransitionEffect.None;

                string shapePath = MapPath("App_Data\\Countries02.shp");
                ShapeFileFeatureLayer Layer1 = new ShapeFileFeatureLayer(shapePath);
                Layer1.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
                Layer1.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                layerOverlay.Layers.Add("Countries", Layer1);

                //LayerOverlay for adornment layers such as GraphicLogoAdornmentLayer
                LayerOverlay adornmentOverlay = new LayerOverlay("adornemntOverlay", false, TileType.SingleTile);
                adornmentOverlay.TransitionEffect = TransitionEffect.None;

                GraphicLogoAdornmentLayer graphicLogoAdornmentLayer = new GraphicLogoAdornmentLayer();
                graphicLogoAdornmentLayer.Copyright = "ThinkGeo";
                
                adornmentOverlay.Layers.Add(graphicLogoAdornmentLayer);

                Map1.CustomOverlays.Add(layerOverlay);
                Map1.CustomOverlays.Add(adornmentOverlay);
             }
        }

        protected void Map1_ExtentChanged(object sender, ExtentChangedEventArgs e)
        {
            Random ra = new Random();
            if (ra.Next(1, 4) >= 3)
            {
                ((GraphicLogoAdornmentLayer)((LayerOverlay)Map1.CustomOverlays[1]).Layers[0]).Copyright = "ThinkGeo";
            }
            else
            {
                ((GraphicLogoAdornmentLayer)((LayerOverlay)Map1.CustomOverlays[1]).Layers[0]).Copyright = "Powered By ThinkGeo";
            }
        }
    }
}
